"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EnvironmentModel = exports.EnvironmentAPIKeyModel = void 0;
class EnvironmentAPIKeyModel {
    id;
    key;
    createdAt;
    name;
    clientApiKey;
    expiresAt;
    active = true;
    constructor(id, key, createdAt, name, clientApiKey, expiresAt) {
        this.id = id;
        this.key = key;
        this.createdAt = createdAt;
        this.name = name;
        this.clientApiKey = clientApiKey;
        this.expiresAt = expiresAt;
    }
    isValid() {
        return !!this.active && (!this.expiresAt || this.expiresAt > Date.now());
    }
}
exports.EnvironmentAPIKeyModel = EnvironmentAPIKeyModel;
class EnvironmentModel {
    id;
    apiKey;
    project;
    featureStates = [];
    identityOverrides = [];
    constructor(id, apiKey, project) {
        this.id = id;
        this.apiKey = apiKey;
        this.project = project;
    }
}
exports.EnvironmentModel = EnvironmentModel;
