"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildProjectModel = void 0;
const util_js_1 = require("../organisations/util.js");
const util_js_2 = require("../segments/util.js");
const models_js_1 = require("./models.js");
function buildProjectModel(projectJSON) {
    const segments = projectJSON['segments']
        ? projectJSON['segments'].map((s) => (0, util_js_2.buildSegmentModel)(s))
        : [];
    const model = new models_js_1.ProjectModel(projectJSON.id, projectJSON.name, projectJSON.hide_disabled_flags, (0, util_js_1.buildOrganizationModel)(projectJSON.organisation));
    model.segments = segments;
    return model;
}
exports.buildProjectModel = buildProjectModel;
