"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCastingFunction = void 0;
const util_js_1 = require("../segments/util.js");
function getCastingFunction(traitType) {
    switch (traitType) {
        case 'boolean':
            return (x) => !['False', 'false'].includes(x);
        case 'number':
            return (x) => parseFloat(x);
        case 'semver':
            return (x) => (0, util_js_1.removeSemverSuffix)(x);
        default:
            return (x) => String(x);
    }
}
exports.getCastingFunction = getCastingFunction;
