"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalFileHandler = exports.BaseOfflineHandler = void 0;
const fs = require("fs");
const util_js_1 = require("../flagsmith-engine/environments/util.js");
class BaseOfflineHandler {
    getEnvironment() {
        throw new Error('Not implemented');
    }
}
exports.BaseOfflineHandler = BaseOfflineHandler;
class LocalFileHandler extends BaseOfflineHandler {
    environment;
    constructor(environment_document_path) {
        super();
        const environment_document = fs.readFileSync(environment_document_path, 'utf8');
        this.environment = (0, util_js_1.buildEnvironmentModel)(JSON.parse(environment_document));
    }
    getEnvironment() {
        return this.environment;
    }
}
exports.LocalFileHandler = LocalFileHandler;
