import { removeSemverSuffix } from '../segments/util.js';
export function getCastingFunction(traitType) {
    switch (traitType) {
        case 'boolean':
            return (x) => !['False', 'false'].includes(x);
        case 'number':
            return (x) => parseFloat(x);
        case 'semver':
            return (x) => removeSemverSuffix(x);
        default:
            return (x) => String(x);
    }
}
