import * as fs from 'fs';
import { buildEnvironmentModel } from '../flagsmith-engine/environments/util.js';
export class BaseOfflineHandler {
    getEnvironment() {
        throw new Error('Not implemented');
    }
}
export class LocalFileHandler extends BaseOfflineHandler {
    environment;
    constructor(environment_document_path) {
        super();
        const environment_document = fs.readFileSync(environment_document_path, 'utf8');
        this.environment = buildEnvironmentModel(JSON.parse(environment_document));
    }
    getEnvironment() {
        return this.environment;
    }
}
